org.apache.poi.xssf.eventusermodel

## Interface XSSFSheetXMLHandler.SheetContentsHandler

- All Known Subinterfaces:
    XSSFBSheetHandler.SheetContentsHandler
  All Known Implementing Classes:
    XSSFEventBasedExcelExtractor.SheetTextExtractor
  Enclosing class:
    XSSFSheetXMLHandler

      public static interface XSSFSheetXMLHandler.SheetContentsHandler

  This interface allows to provide callbacks when reading a sheet in streaming mode. The XSLX file is usually read via `XSSFReader`. By implementing the methods, you can process arbitrarily large files without exhausting main memory.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cell(java.lang.String cellReference, java.lang.String formattedValue, XSSFComment comment)` A cell, with the given formatted value (may be null), and possibly a comment (may be null), was encountered.
    `void` | `endRow(int rowNum)` A row with the (zero based) row number has ended
    `default void` | `endSheet()` Signal that the end of a sheet was been reached
    `default void` | `headerFooter(java.lang.String text, boolean isHeader, java.lang.String tagName)` A header or footer has been encountered
    `void` | `startRow(int rowNum)` A row with the (zero based) row number has started

- - ### Method Detail

    - #### startRow

          void startRow(int rowNum)

      A row with the (zero based) row number has started

    - #### endRow

          void endRow(int rowNum)

      A row with the (zero based) row number has ended

    - #### cell

          void cell(java.lang.String cellReference,
                    java.lang.String formattedValue,
                    XSSFComment comment)

      A cell, with the given formatted value (may be null), and possibly a comment (may be null), was encountered. Sheets that have missing or empty cells may result in sparse calls to `cell`. See the code in `src/examples/src/org/apache/poi/xssf/eventusermodel/XLSX2CSV.java` for an example of how to handle this scenario.

    - #### headerFooter

          default void headerFooter(java.lang.String text,
                                    boolean isHeader,
                                    java.lang.String tagName)

      A header or footer has been encountered

    - #### endSheet

          default void endSheet()

      Signal that the end of a sheet was been reached

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.